Cyberduck Mountain Duck CLI

#8721 closed enhancement (fixed)

No where to set Resource Server

Reported by: jerry Owned by:
Priority: normal Milestone: 4.7.1
Component: irods Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

For connection we will need a place to add "resource server" in "more options" this is where users connecting to a very specific resource server can add it. It would be ideal if in the XML for configuration we could specify that i.e multiple resource servers the user can choose from.

Change History (13)

comment:1 Changed on Apr 2, 2015 at 8:01:16 AM by dkocher

  • Component changed from core to irods
  • Version changed from 4.6.5 to Nightly Build

comment:2 Changed on Apr 2, 2015 at 3:14:55 PM by dkocher

  • Description modified (diff)
  • Summary changed from No where to set Resource Server in iRODS protocol to No where to set Resource Server

comment:3 follow-up: Changed on Apr 2, 2015 at 3:25:37 PM by dkocher

Would it be acceptable if you can specify the resource in the connection profile as part of the Region using a colon separated syntax such as

        <key>Region</key>
        <string>iplant:storageresourcename</string>

comment:4 Changed on Apr 2, 2015 at 3:28:20 PM by dkocher

Replying to jerry:

For connection we will need a place to add "resource server" in "more options" this is where users connecting to a very specific resource server can add it. It would be ideal if in the XML for configuration we could specify that i.e multiple resource servers the user can choose from.

We cannot add a graphical user element for this with no matching feature in any other supported protocol.

Last edited on Apr 2, 2015 at 3:28:45 PM by dkocher (previous) (diff)

comment:5 Changed on Apr 2, 2015 at 3:30:31 PM by dkocher

  • Type changed from defect to enhancement

comment:6 Changed on Apr 7, 2015 at 9:00:17 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r17250.

comment:7 Changed on Apr 7, 2015 at 9:00:30 AM by dkocher

  • Milestone set to 4.7

comment:8 follow-up: Changed on Apr 8, 2015 at 12:07:20 AM by nirav

If we can specify multiple regions (I assume as I have shown below) Could we specify a empty string for a resource i.e <string>iplant:</string> so when no resource server is specified ...it lets the server decide, but when you explicitly pass a resource server name it will use that to upload/download data.

<key>Region Set by server</key>
<string>iplant:</string>
<key>Region A</key>
        <string>iplant:resourceA</string>
<key>Region B</key>
        <string>iplant:resourceB</string>
<key>Region Default</key>
<string>iplant:</string>
Last edited on Apr 8, 2015 at 7:10:41 AM by dkocher (previous) (diff)

comment:9 Changed on Apr 8, 2015 at 12:31:35 AM by nirav

Sorry, I reread your email and looks like you are suggesting to create a profile per "Region" i.e one per Region. Which also is suitable as a given user will not have more than 2 to 3 resource servers. Most users will leave it blank and let the server decide.

comment:10 in reply to: ↑ 8 Changed on Apr 8, 2015 at 7:11:34 AM by dkocher

Replying to nirav:

If we can specify multiple regions (I assume as I have shown below) Could we specify a empty string for a resource i.e <string>iplant:</string> so when no resource server is specified ...it lets the server decide

The resource can be omitted and will default to an empty string.

comment:11 in reply to: ↑ 3 Changed on May 30, 2015 at 12:09:03 AM by nirav

Replying to dkocher:

Would it be acceptable if you can specify the resource in the connection profile as part of the Region using a colon separated syntax such as

        <key>Region</key>
        <string>iplant:storageresourcename</string>

I tried using this construct for a resource server named hadesRes:

        <key>Region</key>
        <string>iplant:hadesRes</string>

and got the following error in Cyberduck while connecting (I am using mac and the snapshot build from today) /iplant:hadesRes/home/nirav. Please contact your web hosting service provider for assistance.

Last edited on May 30, 2015 at 7:58:43 PM by dkocher (previous) (diff)

comment:12 Changed on May 30, 2015 at 7:34:13 AM by dkocher

  • Milestone changed from 4.7 to 4.8
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:13 Changed on May 30, 2015 at 8:02:34 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Fix default working directory when resource server is given in Region in r17669.

Note: See TracTickets for help on using tickets.
swiss made software